## kdenlive 0.9.6

=== CMakeLists.txt ===
project(kdenlive)

# An odd patch version number means development version, while an even one means
# stable release. An additional number can be used for bugfix-only releases.
set(KDENLIVE_VERSION 0.9.6)

# Minimum versions of main dependencies.
set(LIBMLT_MIN_VERSION 0.8.8)
set(QT_MIN_VERSION 4.5.0)
set(KDE_MIN_VERSION 4.3.0)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)

# To be switched on when releasing.
option(RELEASE_BUILD "Remove Git revision from program version (use for stable releases)" ON)

# Get current version.
set(VERSION "\"${KDENLIVE_VERSION}\"")
if(NOT RELEASE_BUILD)
  if(EXISTS ${PROJECT_SOURCE_DIR}/.git)
    # Probably a Git workspace: determine the revision.
    find_package(Git)
    if(GIT_FOUND)
      exec_program(${GIT_EXECUTABLE}
        ${CMAKE_CURRENT_SOURCE_DIR}
        ARGS "describe --tags"
        OUTPUT_VARIABLE KDENLIVE_GIT_REVISION
        RETURN_VALUE TAG_RESULT
      )
      # git describe --tags failed, for example it fails if repo was checked with depth=1
      if(NOT ${TAG_RESULT} EQUAL 0)
        exec_program(${GIT_EXECUTABLE}
          ${CMAKE_CURRENT_SOURCE_DIR}
          ARGS "describe --always"
          OUTPUT_VARIABLE KDENLIVE_GIT_REVISION
        )
      endif(NOT ${TAG_RESULT} EQUAL 0)
      message("Current Kdenlive Git revision is ${KDENLIVE_GIT_REVISION}")
      set(VERSION "\"${KDENLIVE_VERSION} (rev. ${KDENLIVE_GIT_REVISION})\"")
    else(GIT_FOUND)
      message("Could not determine the Git revision")
    endif(GIT_FOUND)
  endif(EXISTS ${PROJECT_SOURCE_DIR}/.git)
endif(NOT RELEASE_BUILD)

include(CheckIncludeFiles)
check_include_files(malloc.h HAVE_MALLOC_H)
check_include_files(pthread.h HAVE_PTHREAD_H)

# Search KDE and dependent packages.
find_package(KDE4 ${KDE_MIN_VERSION} REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
macro_log_feature(KDE4_FOUND
  "KDELibs"
  "KDE core libraries"
  "http://www.kde.org"
  TRUE
  ${KDE_MIN_VERSION}
)

# Find Qt core modules (QtCore and QtGui).
find_package(Qt4 ${QT_MIN_VERSION} REQUIRED)

# Search MLT package.
find_package(LIBMLT ${LIBMLT_MIN_VERSION} REQUIRED)
if(LIBMLT_VERSION VERSION_LESS ${LIBMLT_MIN_VERSION})
  set(LIBMLT_FOUND FALSE)
endif(LIBMLT_VERSION VERSION_LESS ${LIBMLT_MIN_VERSION})
macro_log_feature(LIBMLT_FOUND
  "MLT"
  "Multimedia framework and video playout server for TV broadcasting"
  "http://mltframework.org"
  TRUE
  ${LIBMLT_MIN_VERSION}
)

add_subdirectory(data)
macro_optional_add_subdirectory(doc)
add_subdirectory(effects)
add_subdirectory(export)
add_subdirectory(icons)
add_subdirectory(lumas)
add_subdirectory(man)
add_subdirectory(plugins)
macro_optional_add_subdirectory(po)
add_subdirectory(renderer)
add_subdirectory(src)
add_subdirectory(thumbnailer)
add_subdirectory(titles)
add_subdirectory(testingArea)

macro_display_feature_log()

configure_file(config-kdenlive.h.cmake config-kdenlive.h @ONLY)

=== data/CMakeLists.txt ===
install(FILES banner.png timeline_nothumbs.png timeline_athumbs.png timeline_vthumbs.png timeline_avthumbs.png metadata.properties blacklisted_effects.txt blacklisted_transitions.txt encodingprofiles.rc meta_ffmpeg.png meta_libav.png meta_magiclantern.png DESTINATION ${DATA_INSTALL_DIR}/kdenlive )
install( FILES kdenliveeffectscategory.rc DESTINATION  ${CONFIG_INSTALL_DIR} )
install (FILES kdenlive.xpm DESTINATION share/pixmaps)
install (FILES kdenlive.menu DESTINATION share/menu RENAME kdenlive)

=== doc/CMakeLists.txt ===
add_subdirectory(pt_BR)
add_subdirectory(nl)
add_subdirectory(es)
add_subdirectory(en_US)
add_subdirectory(it)
add_subdirectory(uk)
add_subdirectory(pt)
add_subdirectory(sv)
add_subdirectory(ca)

=== effects/CMakeLists.txt ===
INSTALL (FILES 

audiowave.xml
automask.xml
boxblur.xml
brightness.xml
channelcopy.xml
charcoal.xml
chroma_hold.xml
chroma.xml
crop.xml
dust.xml
dynamictext.xml
freeze.xml
gamma.xml
grain.xml
greyscale.xml
invert.xml
mirror.xml
mute.xml
normalise.xml
oldfilm.xml
pan_zoom.xml
obscure.xml
region.xml
rotation.xml
rotation_keyframable.xml
scratchlines.xml
sepia.xml
sox_bass.xml
sox_gain.xml
sox_phaser.xml
sox_band.xml
sox_echo.xml
sox_flanger.xml
sox_stretch.xml
threshold.xml
volume.xml
wave.xml
fadein.xml
fadeout.xml
frei0r_alpha0ps.xml
frei0r_alphagrad.xml
frei0r_alphaspot.xml
frei0r_balanc0r.xml
frei0r_baltan.xml
frei0r_bezier_curves.xml
frei0r_brightness.xml
frei0r_cartoon.xml
frei0r_cluster.xml
frei0r_colgate.xml
frei0r_coloradj_rgb.xml
frei0r_colordistance.xml
frei0r_colortap.xml
frei0r_contrast0r.xml
frei0r_c0rners.xml
frei0r_curves.xml
frei0r_d90stairsteppingfix.xml
frei0r_defish0r.xml
frei0r_delay0r.xml
frei0r_delaygrab.xml
frei0r_distort0r.xml
frei0r_edgeglow.xml
frei0r_equaliz0r.xml
frei0r_flippo.xml
frei0r_glow.xml
frei0r_hqdn3d.xml
frei0r_hueshift0r.xml
frei0r_iirblur.xml
frei0r_keyspillm0pup.xml
frei0r_lenscorrection.xml
frei0r_letterb0xed.xml
frei0r_levels.xml
frei0r_lightgraffiti.xml
frei0r_luminance.xml
frei0r_mask0mate.xml
frei0r_medians.xml
frei0r_nervous.xml
frei0r_nosync0r.xml
frei0r_pixeliz0r.xml
frei0r_pr0be.xml
frei0r_pr0file.xml
frei0r_primaries.xml
frei0r_rgbparade.xml
frei0r_saturat0r.xml
frei0r_scale0tilt.xml
frei0r_scanline0r.xml
frei0r_select0r.xml
frei0r_sharpness.xml
frei0r_sobel.xml
frei0r_sopsat.xml
frei0r_squareblur.xml
frei0r_tehroxx0r.xml
frei0r_three_point_balance.xml
frei0r_threelay0r.xml
frei0r_threshold0r.xml
frei0r_timeout.xml
frei0r_tint0r.xml
frei0r_twolay0r.xml
frei0r_vectorscope.xml
frei0r_vertigo.xml
frei0r_vignette.xml
frei0r_facebl0r.xml
frei0r_facedetect.xml
gain.xml
fade_from_black.xml
fade_to_black.xml
speed.xml
tcolor.xml
vignette.xml
swapchannels.xml
audiobalance.xml
audiopan.xml
rotoscoping.xml

DESTINATION ${DATA_INSTALL_DIR}/kdenlive/effects)

add_subdirectory(update)

=== src/CMakeLists.txt ===
set(QT_USE_QTDBUS 1)
set(QT_USE_QTOPENGL 1)
set(QT_USE_QTSCRIPT 1)
set(QT_USE_QTSVG 1)
set(QT_USE_QTXML 1)

find_package(OpenGL REQUIRED)
if(APPLE)
  find_package(SDL REQUIRED)
endif(APPLE)
macro_optional_find_package(Nepomuk)
macro_optional_find_package(QJSON)

option(WITH_V4L "Build capture support with Video4Linux" ON)
option(WITH_JogShuttle "Build Jog/Shuttle support" ON)



if(WITH_V4L)
  # This can be changed to support FreeBSD as soon as we move to a newer V4L2
  # header.
  find_package(LibV4L2)
  macro_log_feature(LIBV4L2_FOUND "libv4l" "Collection of video4linux support libraries" "http://hansdegoede.livejournal.com, http://linuxtv.org/hg/~hgoede/libv4l/" FALSE "" "Required for better webcam support")
  if(LIBV4L2_FOUND)
    set(BUILD_V4L TRUE)
  endif(LIBV4L2_FOUND)
endif(WITH_V4L)

if(WITH_JogShuttle)
  check_include_files(linux/input.h HAVE_LINUX_INPUT_H)
  if(HAVE_LINUX_INPUT_H)
    set(BUILD_JogShuttle TRUE)
  endif(HAVE_LINUX_INPUT_H)
endif(WITH_JogShuttle)

macro_log_feature(QT_QTOPENGL_FOUND
  "QtOpenGL"
  "Qt bindings for the OpenGL library"
  "http://qt.nokia.com/products/qt"
  TRUE
  ${QT_MIN_VERSION}
  "QtOpenGL library and headers (most likely called libqt4-opengl and libqt4-opengl-dev)"
)

macro_log_feature(QT_QTSCRIPT_FOUND
  "QtScript"
  "Qt module providing core scripting facilities"
  "http://qt.nokia.com/products/qt"
  TRUE
  ${QT_MIN_VERSION}
  "QtScript library (most likely called libqt4-script)"
)

if(APPLE)
  macro_log_feature(SDL_FOUND
    "SDL"
    "Cross-platform multimedia library"
    "http://www.libsdl.org"
    TRUE
  )
endif(APPLE)

macro_log_feature(Nepomuk_FOUND
  "Nepomuk"
  "Support for the Nepomuk semantic desktop system"
  "http://nepomuk.semanticdesktop.org"
)

macro_log_feature(QJSON_FOUND
  "QJson"
  "Qt-based library that maps JSON data to QVariant objects"
  "http://qjson.sourceforge.net"
  FALSE
  ""
  "Required to build the rotoscoping filter and for Freesound.org queries"
)


add_subdirectory(beziercurve)
add_subdirectory(colorcorrection)
add_subdirectory(commands)
add_subdirectory(lib)
add_subdirectory(projecttree)
add_subdirectory(utils)
add_subdirectory(databackup)
add_subdirectory(effectstack)
add_subdirectory(mimetypes)
add_subdirectory(onmonitoritems)
add_subdirectory(scopes)
add_subdirectory(simplekeyframes)
add_subdirectory(stopmotion)

if(QJSON_FOUND)
  add_subdirectory(onmonitoritems/rotoscoping)
  add_subdirectory(rotoscoping)
endif(QJSON_FOUND)

if(BUILD_V4L)
  add_subdirectory(v4l)
endif(BUILD_V4L)

list(APPEND kdenlive_SRCS
  main.cpp
  mainwindow.cpp

  KoSliderCombo.cpp
  abstractclipitem.cpp
  abstractgroupitem.cpp
  abstractmonitor.cpp
  archivewidget.cpp
  choosecolorwidget.cpp
  clipdurationdialog.cpp
  clipitem.cpp
  clipmanager.cpp
  clipproperties.cpp
  cliptranscode.cpp
  clipstabilize.cpp
  colorpickerwidget.cpp
  colorplaneexport.cpp
  colortools.cpp
  complexparameter.cpp
  cornerswidget.cpp
  customruler.cpp
  customtrackscene.cpp
  customtrackview.cpp
  definitions.cpp
  docclipbase.cpp
  documentchecker.cpp
  documentvalidator.cpp
  doubleparameterwidget.cpp
  dragvalue.cpp
  dvdwizard.cpp
  dvdwizardchapters.cpp
  dvdwizardmenu.cpp
  dvdwizardvob.cpp
  effectslist.cpp
  effectslistview.cpp
  effectslistwidget.cpp
  effectstackedit.cpp
  encodingprofilesdialog.cpp
  folderprojectitem.cpp
  gentime.cpp
  geometryval.cpp
  geometrywidget.cpp
  graphicsscenerectmove.cpp
  guide.cpp
  headertrack.cpp
  initeffects.cpp
  kdenlivedoc.cpp
  kdenlivesettingsdialog.cpp
  keyframeedit.cpp
  keyframehelper.cpp
  kis_cubic_curve.cpp
  kis_curve_widget.cpp
  kthumb.cpp
  managecapturesdialog.cpp
  markerdialog.cpp
  mltdevicecapture.cpp
  monitor.cpp
  monitoreditwidget.cpp
  monitormanager.cpp
  monitorscene.cpp
  noteswidget.cpp
  parameterplotter.cpp
  positionedit.cpp
  profilesdialog.cpp
  projectitem.cpp
  projectlist.cpp
  projectlistview.cpp
  projectsettings.cpp
  recmonitor.cpp
  renderer.cpp
  renderwidget.cpp
  slideshowclip.cpp
  smallruler.cpp
  spacerdialog.cpp
  statusbarmessagelabel.cpp
  subprojectitem.cpp
  timecode.cpp
  timecodedisplay.cpp
  titledocument.cpp
  titlewidget.cpp
  trackdialog.cpp
  tracksconfigdialog.cpp
  trackview.cpp
  transition.cpp
  transitionsettings.cpp
  unicodedialog.cpp
  wizard.cpp
)

kde4_add_ui_files(kdenlive_UIS
  widgets/addtrack_ui.ui
  widgets/archivewidget_ui.ui
  widgets/audiospectrum_ui.ui
  widgets/backupdialog_ui.ui
  widgets/bezierspline_ui.ui
  widgets/boolval_ui.ui
  widgets/clipdurationdialog_ui.ui
  widgets/clipproperties_ui.ui
  widgets/cliptranscode_ui.ui
  widgets/collapsiblewidget_ui.ui
  widgets/clipstabilize_ui.ui
  widgets/colorclip_ui.ui
  widgets/colorplaneexport_ui.ui
  widgets/configcapture_ui.ui
  widgets/configenv_ui.ui
  widgets/configjogshuttle_ui.ui
  widgets/configmisc_ui.ui
  widgets/configproject_ui.ui
  widgets/configsdl_ui.ui
  widgets/configtimeline_ui.ui
  widgets/configtranscode_ui.ui
  widgets/dvdwizardchapters_ui.ui
  widgets/dvdwizardmenu_ui.ui
  widgets/dvdwizardstatus_ui.ui
  widgets/dvdwizardvob_ui.ui
  widgets/effectlist_ui.ui
  widgets/effectstack_ui.ui
  widgets/effectstack2_ui.ui
  widgets/freesound_ui.ui
  widgets/geometryval_ui.ui
  widgets/geometrywidget_ui.ui
  widgets/histogram_ui.ui
  widgets/keyframedialog_ui.ui
  widgets/keyframeeditor_ui.ui
  widgets/keyframewidget_ui.ui
  widgets/listval_ui.ui
  widgets/managecaptures_ui.ui
  widgets/manageencodingprofile_ui.ui
  widgets/markerdialog_ui.ui
  widgets/missingclips_ui.ui
  widgets/monitoreditwidget_ui.ui
  widgets/profiledialog_ui.ui
  widgets/projectsettings_ui.ui
  widgets/recmonitor_ui.ui
  widgets/renderwidget_ui.ui
  widgets/rgbparade_ui.ui
  widgets/saveprofile_ui.ui
  widgets/slideshowclip_ui.ui
  widgets/smconfig_ui.ui
  widgets/spacerdialog_ui.ui
  widgets/spectrogram_ui.ui
  widgets/stopmotion_ui.ui
  widgets/templateclip_ui.ui
  widgets/timeline_ui.ui
  widgets/timelinebuttons_ui.ui
  widgets/titlewidget_ui.ui
  widgets/trackheader_ui.ui
  widgets/tracksconfigdialog_ui.ui
  widgets/transitionsettings_ui.ui
  widgets/unicodedialog_ui.ui
  widgets/urlval_ui.ui
  widgets/vectorscope_ui.ui
  widgets/waveform_ui.ui
  widgets/wipeval_ui.ui
  widgets/wizardcapture_ui.ui
  widgets/wizardcheck_ui.ui
  widgets/wizardextra_ui.ui
  widgets/wizardmltcheck_ui.ui
  widgets/wizardstandard_ui.ui
  widgets/keywordval_ui.ui
  widgets/fontval_ui.ui
  widgets/cutjobdialog_ui.ui
  widgets/scenecutdialog_ui.ui
  widgets/importkeyframesdialog_ui.ui
)

if(OPENGL_FOUND)
  list(APPEND kdenlive_SRCS videoglwidget.cpp)
endif(OPENGL_FOUND)

if(BUILD_JogShuttle)
  list(APPEND kdenlive_SRCS
    jogaction.cpp
    jogshuttle.cpp
    jogshuttleconfig.cpp
  )
endif(BUILD_JogShuttle)

kde4_add_kcfg_files(kdenlive_SRCS kdenlivesettings.kcfgc)
qt4_add_dbus_adaptor(kdenlive_SRCS
  org.kdenlive.MainWindow.xml
  mainwindow.h
  MainWindow
)
qt4_add_resources(kdenlive_SRCS widgets/resources.qrc)
kde4_add_executable(kdenlive
  ${kdenlive_SRCS}
  ${kdenlive_UIS}
)

# To compile kiss_fft.
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} --std=c99")

# KDE definitions and include directories *must* always come first, Qt follows
# (to avoid breaking builds when KDE and/or Qt are installed to different
# prefixes).
add_definitions(${KDE4_DEFINITIONS})

include_directories(
  ${CMAKE_BINARY_DIR}
  ${KDE4_INCLUDES} # Adds Qt include directories too.
  ${LIBMLT_INCLUDE_DIR}
  ${LIBMLTPLUS_INCLUDE_DIR}
)


# Adds Qt definitions and include directories, and sets QT_LIBRARIES according
# to the components requested in find_package().
include(${QT_USE_FILE})

if(${KDE_VERSION} VERSION_LESS 4.3.80)
  set(KDE4_KNEWSTUFF_LIBS ${KDE4_KNEWSTUFF2_LIBS})
else(${KDE_VERSION} VERSION_LESS 4.3.80)
  set(KDE4_KNEWSTUFF_LIBS ${KDE4_KNEWSTUFF3_LIBS})
endif(${KDE_VERSION} VERSION_LESS 4.3.80)

target_link_libraries(kdenlive
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
  ${KDE4_KNEWSTUFF_LIBS}
  ${KDE4_KNOTIFYCONFIG_LIBRARY}
  ${KDE4_KROSSUI_LIBS}
  ${KDE4_SOLID_LIBS}
  ${QT_LIBRARIES}
  ${LIBMLT_LIBRARY}
  ${LIBMLTPLUS_LIBRARY}
  ${CMAKE_DL_LIBS}
  ${CMAKE_THREAD_LIBS_INIT}
)

if(Q_WS_X11)
  include_directories(${X11_Xlib_INCLUDE_PATH})
  target_link_libraries(kdenlive ${X11_LIBRARIES})
endif(Q_WS_X11)

if(OPENGL_FOUND AND QT_QTOPENGL_FOUND)
  add_definitions(-DUSE_OPENGL)
  target_link_libraries(kdenlive ${OPENGL_LIBRARIES})
endif(OPENGL_FOUND AND QT_QTOPENGL_FOUND)

if(SDL_FOUND)
  target_link_libraries(kdenlive ${SDL_LIBRARY})
endif(SDL_FOUND)

if(Nepomuk_FOUND)
  add_definitions(-DUSE_NEPOMUK)
  include_directories(${NEPOMUK_INCLUDES})
  target_link_libraries(kdenlive ${NEPOMUK_LIBRARIES})
endif(Nepomuk_FOUND)

if(QJSON_FOUND)
  add_definitions(-DUSE_QJSON)
  include_directories(${QJSON_INCLUDE_DIR})
  target_link_libraries(kdenlive ${QJSON_LIBRARIES})
endif(QJSON_FOUND)

if(BUILD_V4L)
  include_directories(${LIBV4L2_INCLUDE_DIR})
  target_link_libraries(kdenlive ${LIBV4L2_LIBRARY})  
  add_definitions(-DUSE_V4L)
endif(BUILD_V4L)

if(BUILD_JogShuttle)
  add_definitions(-DUSE_JOGSHUTTLE)
endif(BUILD_JogShuttle)

install(TARGETS kdenlive DESTINATION ${BIN_INSTALL_DIR})
install(FILES
  kdenliveui.rc
  kdenlive.notifyrc
  DESTINATION ${DATA_INSTALL_DIR}/kdenlive
)
install(FILES kdenlivesettings.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(FILES
  kdenlive_projectprofiles.knsrc
  kdenlive_renderprofiles.knsrc
  kdenlive_titles.knsrc
  kdenlive_wipes.knsrc
  kdenlivetranscodingrc
  DESTINATION ${CONFIG_INSTALL_DIR}
)
kde4_install_icons(${ICON_INSTALL_DIR})
install(FILES kdenlive.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== thumbnailer/CMakeLists.txt ===
set(westleypreview_SRCS westleypreview.cpp)

include_directories(
  ${KDE4_INCLUDES}
  ${LIBMLT_INCLUDE_DIR}
  ${LIBMLTPLUS_INCLUDE_DIR}
)

kde4_add_plugin(westleypreview ${westleypreview_SRCS})

include(${QT_USE_FILE})

target_link_libraries(westleypreview
  ${KDE4_KIO_LIBS}
  ${QT_LIBRARIES}
  ${LIBMLT_LIBRARY}
  ${LIBMLTPLUS_LIBRARY}
)

install(TARGETS westleypreview DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES westleypreview.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== doc/en_US/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kdenlive )

=== doc/es/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/es SUBDIR kdenlive )

=== doc/it/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/it SUBDIR kdenlive )

=== doc/nl/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/nl SUBDIR kdenlive )

=== doc/sv/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/sv SUBDIR kdenlive )

=== po/el/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(el ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== debian/changelog ===
kdenlive (0.9.6-5ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/opengl_optional.patch:
      + Make opengl optional for ARM.

 -- Artur Rona <ari-tczew@ubuntu.com>  Thu, 13 Feb 2014 00:27:22 +0100

kdenlive (0.9.6-5) unstable; urgency=low

  * Bump Standards-Version to 3.9.5 (no changes needed).
  * Don't explicitly request xz compression - dpkg 1.17 does this by default.
  * Point debian/watch to new download location.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 12 Dec 2013 10:11:38 +0100

kdenlive (0.9.6-4) unstable; urgency=low

  * Suggest khelpcenter4.
    Closes: #721585

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 02 Sep 2013 11:30:20 +0200

kdenlive (0.9.6-3) unstable; urgency=low

  * Move from ffmpeg to avconv.
    Closes: #710419
  * Build depend on libmlt >= 0.9.0.
  * Add patch 01-desktop-keywords to fix lintian warning
    desktop-entry-lacks-keywords-entry.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 13 Aug 2013 11:07:09 +0200

kdenlive (0.9.6-2ubuntu2) trusty; urgency=low

  * Depends on libav-tools (avconv), instead of ffmpeg.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sat, 23 Nov 2013 14:47:35 +0000

kdenlive (0.9.6-2ubuntu1) saucy; urgency=low

  * Merge with Debian, remaining changes:
   - add opengl_optional.patch to make opengl optional, for ARM

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Jun 2013 16:15:06 +0100

kdenlive (0.9.6-2) unstable; urgency=low

  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 06 May 2013 09:45:55 +0200

kdenlive (0.9.6-1) experimental; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 08 Apr 2013 09:31:57 +0200

=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Homepage: http://www.kdenlive.org/
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9),
 pkg-config,
 cmake,
 kdelibs5-dev,
 libmlt-dev (>= 0.9.0),
 libmlt++-dev (>= 0.9.0),
 libavcodec-dev,
 libavformat-dev,
 libavdevice-dev,
 libavutil-dev,
 libav-tools,
 libqt4-dev,
 shared-desktop-ontologies,
 libx11-dev,
 libqt4-opengl-dev,
 libqjson-dev,
 hardening-wrapper

Package: kdenlive
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 kdenlive-data (= ${source:Version}),
 melt,
 libav-tools
Recommends: swh-plugins,
 dvgrab,
 frei0r-plugins,
 recordmydesktop,
 dvdauthor,
 genisoimage
Suggests: khelpcenter4
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Breaks: kdenlive (<= 0.7.2.1)
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

Package: kdenlive-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends},
 kdenlive (= ${binary:Version})
Description: non-linear video editor (debugging symbols)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the debugging symbols for kdenlive.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1

EXTRAFLAGS :=
ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
	EXTRAFLAGS := -DNO_JOGSHUTTLE=YES
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRAFLAGS)

override_dh_auto_clean:
	rm -f $(CURDIR)/debian/kdenlive.menu
	dh_auto_clean

override_dh_install:
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/kde/HTML/*/kdenlive/common
	cp $(CURDIR)/data/kdenlive.menu $(CURDIR)/debian/
	dh_install

override_dh_strip:
	dh_strip --dbg-package=kdenlive-dbg

=== debian/watch ===
version=3
opts=dversionmangle=s/\+git\d+// \
	http://download.kde.org/stable/kdenlive/([\d.]+)/src/kdenlive-([\d.]+)\.tar\.bz2

## kdenlive 0.9.8

=== thumbnailer/CMakeLists.txt ===
set(westleypreview_SRCS westleypreview.cpp)

include_directories(
  ${KDE4_INCLUDES}
  ${MLT_INCLUDE_DIR}
  ${MLTPP_INCLUDE_DIR}
)

kde4_add_plugin(westleypreview ${westleypreview_SRCS})

include(${QT_USE_FILE})

target_link_libraries(westleypreview
  ${KDE4_KIO_LIBS}
  ${QT_LIBRARIES}
  ${MLT_LIBRARIES}
  ${MLTPP_LIBRARIES}
)

install(TARGETS westleypreview DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES westleypreview.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== src/commands/CMakeLists.txt ===
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  commands/addclipcommand.cpp
  commands/addclipcutcommand.cpp
  commands/addeffectcommand.cpp
  commands/addfoldercommand.cpp
  commands/addmarkercommand.cpp
  commands/addextradatacommand.cpp
  commands/addtimelineclipcommand.cpp
  commands/addtrackcommand.cpp
  commands/addtransitioncommand.cpp
  commands/changecliptypecommand.cpp
  commands/changeeffectstatecommand.cpp
  commands/changespeedcommand.cpp
  commands/configtrackscommand.cpp
  commands/editclipcommand.cpp
  commands/editclipcutcommand.cpp
  commands/editeffectcommand.cpp
  commands/editfoldercommand.cpp
  commands/editguidecommand.cpp
  commands/editkeyframecommand.cpp
  commands/edittransitioncommand.cpp
  commands/groupclipscommand.cpp
  commands/insertspacecommand.cpp
  commands/locktrackcommand.cpp
  commands/moveclipcommand.cpp
  commands/moveeffectcommand.cpp
  commands/movegroupcommand.cpp
  commands/movetransitioncommand.cpp
  commands/razorclipcommand.cpp
  commands/rebuildgroupcommand.cpp
  commands/refreshmonitorcommand.cpp
  commands/resizeclipcommand.cpp
  commands/splitaudiocommand.cpp
  PARENT_SCOPE
)

=== src/monitor/CMakeLists.txt ===
set(monitor_SRCS
    monitor/abstractmonitor.cpp
    monitor/monitor.cpp
    monitor/monitormanager.cpp
    monitor/monitorscene.cpp
    monitor/recmonitor.cpp

    PARENT_SCOPE
)

=== src/scopes/CMakeLists.txt ===

add_subdirectory(colorscopes)
add_subdirectory(audioscopes)

set(kdenlive_SRCS
  ${kdenlive_SRCS}
  scopes/scopemanager.cpp
  scopes/abstractscopewidget.cpp
  PARENT_SCOPE
)

=== src/v4l/CMakeLists.txt ===
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  v4l/v4lcapture.cpp
  PARENT_SCOPE
)

=== src/widgets/CMakeLists.txt ===
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  widgets/invaliddialog.cpp
  widgets/choosecolorwidget.cpp
  widgets/colorpickerwidget.cpp
  widgets/archivewidget.cpp
  widgets/cornerswidget.cpp
  widgets/doubleparameterwidget.cpp
  widgets/effectslistwidget.cpp
  widgets/geometrywidget.cpp
  widgets/kis_curve_widget.cpp
  widgets/monitoreditwidget.cpp
  widgets/noteswidget.cpp
  widgets/renderwidget.cpp
  widgets/titlewidget.cpp
  widgets/videosurface.cpp
  PARENT_SCOPE
)

=== debian/changelog ===
kdenlive (0.9.8-1ubuntu2~ubuntu14.04~ppa1) trusty; urgency=medium

  * Trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 13 Aug 2014 18:32:49 +0200

kdenlive (0.9.8-1ubuntu2) utopic; urgency=medium

  * Add kubuntu_armhf-missing-include.diff to fix compile failure

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 05 Aug 2014 19:06:51 +0200

kdenlive (0.9.8-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/opengl_optional.patch:
      + Make opengl optional for ARM.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 18 May 2014 11:21:43 +0200

kdenlive (0.9.8-1) unstable; urgency=medium

  * New upstream release.
    - Use profiles from mlt.
      Closes: #739878
    - Locales have been removed in this release.
  * Use debian/clean instead of overwriting dh_auto_clean.
  * Overwrite debian-watch-may-check-gpg-signature warning. There is no GPG
    signature available.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 14 May 2014 15:42:18 +0200

=== debian/rules ===
--- 
+++ 
@@ -14,10 +14,6 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(EXTRAFLAGS)
 
-override_dh_auto_clean:
-	rm -f $(CURDIR)/debian/kdenlive.menu
-	dh_auto_clean
-
 override_dh_install:
 	rm -f $(CURDIR)/debian/tmp/usr/share/doc/kde/HTML/*/kdenlive/common
 	cp $(CURDIR)/data/kdenlive.menu $(CURDIR)/debian/

## kdenlive 0.9.10

=== debian/changelog ===
kdenlive (0.9.10-2) unstable; urgency=medium

  * Add libv4l-dev as build dependency for webcam support.
  * Exclude docbook files from dh_compress.
    Closes: #765974

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 27 Oct 2014 18:25:52 +0100

kdenlive (0.9.10-1) unstable; urgency=medium

  * New upstream release.
    - Locales are again in the release tarball.
    - Refresh patch 01-desktop-keywords.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 27 Sep 2014 11:29:48 +0200

kdenlive (0.9.8-2) unstable; urgency=medium

  * Removed build depends on libav.
    Closes: #748277
  * Bump Standards-Version to 3.9.6 (no changes required).
  * Remove build depends on hardening-wrapper.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 24 Sep 2014 19:57:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,22 @@
 Source: kdenlive
 Section: video
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
+Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Homepage: http://www.kdenlive.org/
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9),
  pkg-config,
  cmake,
  kdelibs5-dev,
  libmlt-dev (>= 0.9.0),
  libmlt++-dev (>= 0.9.0),
- libavcodec-dev,
- libavformat-dev,
- libavdevice-dev,
- libavutil-dev,
  libav-tools,
  libqt4-dev,
  shared-desktop-ontologies,
  libx11-dev,
+ libv4l-dev,
  libqt4-opengl-dev,
- libqjson-dev,
- hardening-wrapper
+ libqjson-dev
 
 Package: kdenlive
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE=1
-export DEB_BUILD_HARDENING=1
 
 EXTRAFLAGS :=
 ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
@@ -14,6 +13,9 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(EXTRAFLAGS)
 
+override_dh_compress:
+	dh_compress -X.docbook
+
 override_dh_install:
 	rm -f $(CURDIR)/debian/tmp/usr/share/doc/kde/HTML/*/kdenlive/common
 	cp $(CURDIR)/data/kdenlive.menu $(CURDIR)/debian/

## kdenlive 15.08.2.1~really15.08.1

=== debian/changelog ===
kdenlive (4:15.08.2.1~really15.08.1-0ubuntu2) wily; urgency=medium

  * Add back kubuntu_use_gles_on_armhf.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 20 Oct 2015 09:30:51 +0100

kdenlive (4:15.08.2.1~really15.08.1-0ubuntu1) wily; urgency=medium

  * Revert back to 15.08.1 for https://bugs.kde.org/show_bug.cgi?id=354045

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Oct 2015 23:05:57 +0100

kdenlive (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:19:36 +0100

kdenlive (4:15.08.1-0ubuntu2) wily; urgency=medium

  * Add back kubuntu_use_gles_on_armhf.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Sep 2015 11:43:29 +0100

kdenlive (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:43:06 +0100

kdenlive (4:15.08.0-0ubuntu2) wily; urgency=medium

  * Link with the OpenGLES libraries.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 30 Aug 2015 18:17:57 +0200

kdenlive (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:22:49 +0100

kdenlive (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:46:52 +0100

kdenlive (4:15.04.2-0ubuntu2) wily; urgency=medium

  * Fix build on armhf by adding kubuntu_use_gles_on_armhf.diff:
      - Add FindOpenGLES.cmake
      - Only look for OpenGL if QtOpenGL is built against it, otherwise use
        OpenGLES

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 09 Jul 2015 20:11:44 +0200

kdenlive (4:15.04.2-0ubuntu1) wily; urgency=medium

  * Fix watch file 
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 09 Jun 2015 18:53:45 +0200

kdenlive (0.9.50-0ubuntu1) UNRELEASED; urgency=medium

  * KDE Frameworks 5 port

 -- Harald Sitter <sitter@kde.org>  Fri, 13 Feb 2015 17:30:09 +0100

kdenlive (0.9.10-2ubuntu1) vivid; urgency=low

  * Merge from Debian unstable. (LP: #1402216, #1346733)
    Remaining changes:
    - debian/patches/opengl_optional.patch:
      + Make opengl optional for ARM.
  * debian/patches/kubuntu_armhf-missing-include.diff:
    - Dropped, fixed upstream.

 -- Artur Rona <ari-tczew@ubuntu.com>  Fri, 19 Dec 2014 16:52:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,37 +1,59 @@
 Source: kdenlive
 Section: video
 Priority: optional
-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Homepage: http://www.kdenlive.org/
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9),
- pkg-config,
- cmake,
- kdelibs5-dev,
- libmlt-dev (>= 0.9.0),
- libmlt++-dev (>= 0.9.0),
- libav-tools,
- libqt4-dev,
- shared-desktop-ontologies,
- libx11-dev,
- libv4l-dev,
- libqt4-opengl-dev,
- libqjson-dev
+Build-Depends: cmake,
+               debhelper (>= 9),
+               extra-cmake-modules,
+               kdoctools-dev,
+               kio-dev,
+               libav-tools,
+               libgl1-mesa-dev,
+               libkf5archive-dev,
+               libkf5bookmarks-dev,
+               libkf5config-dev,
+               libkf5configwidgets-dev,
+               libkf5coreaddons-dev,
+               libkf5dbusaddons-dev,
+               libkf5guiaddons-dev,
+               libkf5iconthemes-dev,
+               libkf5newstuff-dev,
+               libkf5notifications-dev,
+               libkf5notifyconfig-dev,
+               libkf5plotting-dev,
+               libkf5textwidgets-dev,
+               libkf5widgetsaddons-dev,
+               libkf5xmlgui-dev,
+               libmlt++-dev (>= 0.9.4),
+               libmlt-dev (>= 0.9.4),
+               libqt5opengl5-dev,
+               libqt5svg5-dev,
+               libv4l-dev,
+               libx11-dev,
+               pkg-config,
+               pkg-kde-tools,
+               qtdeclarative5-dev,
+               qtscript5-dev
+Homepage: https://kdenlive.org/
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kdenlive.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kdenlive.git
 
 Package: kdenlive
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends},
- kdenlive-data (= ${source:Version}),
- melt,
- libav-tools
-Recommends: swh-plugins,
- dvgrab,
- frei0r-plugins,
- recordmydesktop,
- dvdauthor,
- genisoimage
-Suggests: khelpcenter4
+Depends: kdenlive-data (= ${source:Version}),
+         libav-tools,
+         melt,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: dvdauthor,
+            dvgrab,
+            frei0r-plugins,
+            genisoimage,
+            recordmydesktop,
+            swh-plugins
+Suggests: khelpcenter
 Description: non-linear video editor
  Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
  more formats.
@@ -65,8 +87,7 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${misc:Depends},
- kdenlive (= ${binary:Version})
+Depends: kdenlive (= ${binary:Version}), ${misc:Depends}
 Description: non-linear video editor (debugging symbols)
  Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
  more formats.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	dh_strip --dbg-package=kdenlive-dbg

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kdenlive-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kdenlive-([\d.]+).tar.xz
